summaryrefslogtreecommitdiffstats
path: root/audio/ocp
diff options
context:
space:
mode:
Diffstat (limited to 'audio/ocp')
-rw-r--r--audio/ocp/README33
-rw-r--r--audio/ocp/doinst.sh5
-rw-r--r--audio/ocp/douninst.sh3
-rw-r--r--audio/ocp/ocp.SlackBuild91
-rw-r--r--audio/ocp/ocp.info14
-rw-r--r--audio/ocp/slack-desc12
6 files changed, 103 insertions, 55 deletions
diff --git a/audio/ocp/README b/audio/ocp/README
index 572fd5f3b6..52eb3ba04c 100644
--- a/audio/ocp/README
+++ b/audio/ocp/README
@@ -1,3 +1,30 @@
-Open Cubic Player is a music file player. It is derived from Cubic Player 2.0
-which was developed by Niklas Beisert. It can play MOD, IT, S3M, XM and many
-other formats.
+Open Cubic Player is a music file player for Linux, Unix, DOS,
+Windows 95-ME and XP.
+
+OCP is derived from the Cubic Player 2.0 alpha ppe which was developed
+by Niklas Beisert. Linux rewrite/porting is done by Stian Skjelstad.
+OPENCP is published under the GNU General Public License (GPL).
+
+Supported formats:
+ 669 - 669 Composer module
+ AMS - Velvet Studio module
+ BPA - Death Ralley archive
+ CDA - compact disk CD audio track
+ DMF - X Tracker module
+ IT - Impulse Tracker module
+ MDL - Digi Tracker module
+ MID - standard midi file
+ MOD - amiga ProTracker 1.1b module and variants
+ MP3 - MPEG audio format level 1-3
+ MTM - Multi Tracker module
+ MXM - Mxmplay module
+ OKT - Oktalyzer module
+ PLS - playlist, works also with M3U and PLT playlist files
+ PTM - Poly Tracker module
+ S3M - Sream Tracker 3 module
+ SID - PSID sid file
+ UMX - Unreal module file
+ ULT - Ultra Tracker module
+ WAV - Microsoft RIFF wave file
+ WOW - WOW Tracker module
+ XM - Fast Tracker 2 module
diff --git a/audio/ocp/doinst.sh b/audio/ocp/doinst.sh
index 4a25de5e6f..4c475479c7 100644
--- a/audio/ocp/doinst.sh
+++ b/audio/ocp/doinst.sh
@@ -1,5 +1,5 @@
-if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/install-info ]; then
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/ocp.info.gz 2> /dev/null
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
@@ -7,4 +7,3 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
/usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
-
diff --git a/audio/ocp/douninst.sh b/audio/ocp/douninst.sh
new file mode 100644
index 0000000000..144841e195
--- /dev/null
+++ b/audio/ocp/douninst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/install-info ]; then
+ chroot . /usr/bin/install-info --remove --info-dir=/usr/info /usr/info/ocp.info.gz 2> /dev/null
+fi
diff --git a/audio/ocp/ocp.SlackBuild b/audio/ocp/ocp.SlackBuild
index 523d4638c8..3635f8b275 100644
--- a/audio/ocp/ocp.SlackBuild
+++ b/audio/ocp/ocp.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
-#
-# Slackware build script for Open Cubic Player
-#
-# Copyright 2009-2011 Erik W. Hanson, Minneapolis, MN, USA
+#!/bin/bash
+
+# Slackware build script for ocp Open Cubic Player
+
+# Copyright 2023 SPN Team
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,26 +11,24 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=ocp
-VERSION=${VERSION:-0.1.21}
+VERSION=${VERSION:-0.2.106}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -40,6 +38,15 @@ if [ -z "$ARCH" ]; then
esac
fi
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -54,13 +61,13 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -69,35 +76,47 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sed -i "s/0.1.20/0.1.21/g" configure
-sed -i "4592c2.95.[2-9]|2.95.[2-9][-.]*|3.[0-9]|3.[0-9].[0-9]|3.[0-9]|3.[0-9].[0-9]-*|4.*|5.*)" configure
-
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --localstatedir=/var/lib \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+ --with-unifontdir-otf=/usr/share/fonts/OTF/ \
--infodir=/usr/info \
- --build=$ARCH-slackware-linux
+ --without-desktop_file_install
-make -j1
+make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mv $PKG/usr/share/ocp/ultradir $PKG/usr/share/$PRGNAM-$VERSION
-rmdir $PKG/usr/share/ocp
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-rm -f $PKG/usr/info/dir
+rm -rf $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+rm -rf $PKG/usr/share/mime
-mv $PKG/usr/share/doc $PKG/usr
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING CREDITS Changelog README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/applications/
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/douninst.sh > $PKG/install/douninst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/ocp/ocp.info b/audio/ocp/ocp.info
index 73d7280623..26dde34d71 100644
--- a/audio/ocp/ocp.info
+++ b/audio/ocp/ocp.info
@@ -1,10 +1,10 @@
PRGNAM="ocp"
-VERSION="0.1.21"
-HOMEPAGE="http://stian.cubic.org/project-ocp.php"
-DOWNLOAD="http://downloads.sourceforge.net/opencubicplayer/ocp-0.1.21.tar.bz2"
-MD5SUM="558a6eacfadfd9c60c97a6e9c7f83f47"
+VERSION="0.2.106"
+HOMEPAGE="http://cubic.org/player"
+DOWNLOAD="https://stian.cubic.org/ocp/ocp-0.2.106.tar.xz"
+MD5SUM="b0f5fba18a4b72ea3d0e86143e77593d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Erik Hanson"
-EMAIL="erik@slackbuilds.org"
+REQUIRES="gnu-unifont xa cJSON ancient"
+MAINTAINER="SPN Team"
+EMAIL="pwmn-master@hotmail.com"
diff --git a/audio/ocp/slack-desc b/audio/ocp/slack-desc
index 5436f49510..ce8da61797 100644
--- a/audio/ocp/slack-desc
+++ b/audio/ocp/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-ocp: ocp (A module format music file player)
+ocp: ocp (Open Cubic Player, A music file player)
ocp:
-ocp: OPENCP is a music file player. It is derived from Cubic Player 2.0
-ocp: which was developed by Niklas Beisert. It can play MOD, IT, S3M, XM
-ocp: and many other formats.
-ocp:
-ocp: Homepage: http://stian.lunafish.org/project-ocp.php
+ocp: OPENCP is a music file player for Linux, Unix, DOS, Windows 95-ME
+ocp: and XP. It is derived from the Cubic Player 2.0 alpha ppe which was
+ocp: developed by Niklas Beisert. Linux rewrite/porting is done by Stian
+ocp: Skjelstad.
ocp:
ocp:
ocp:
ocp:
+ocp: https://cubic.org/player/